Validate Bank Account
Validates and evaluates the account and bank details in the context of direct debit payment. It is possible to transfer either the combination of BankCode and AccountNumber or IBAN and BIC
Path
POST /api/v3/validate/bank-account Request Body
application/json
bankAccount
required
string
Max length: 34
Account number
bankCode
string
Max length: 11
Account swift number
bankNumber
string
Max length: 50
Bank and branch identifier
createToken
boolean
nonce
string
Unique string provided by Riverty if the merchant is using Hosted Fields. Contact your Key Account Manager for more details.
conversationLanguage
string
Enum:
- NO
- SV
- FI
- DA
- EN
- DE
- NL
- FR
The language code used for client communication. If not provided, the system will default to the language configured for the client.
Responses
-
isValidbooleanIs response validarrayRisk check messagestypestringEnum:
- BusinessError
- TechnicalError
- NotificationMessage
codestringMax length: 100Confirmation or error codemessagestringMax length: 4096Message contentcustomerFacingMessagestringMax length: 4096Message to display to customeractionCodestringEnum:- Unavailable
- AskConsumerToConfirm
- AskConsumerToReEnterData
- OfferSecurePaymentMethods
- RequiresSsn
- AskConsumerToIdentify
- ManualReview
Action codesfieldReferencestringMax length: 100Reference to field that caused an errortokenstring -
typestringEnum:
- BusinessError
- TechnicalError
- NotificationMessage
codestringMax length: 100Confirmation or error codemessagestringMax length: 4096Message contentcustomerFacingMessagestringMax length: 4096Message to display to customeractionCodestringEnum:- Unavailable
- AskConsumerToConfirm
- AskConsumerToReEnterData
- OfferSecurePaymentMethods
- RequiresSsn
- AskConsumerToIdentify
- ManualReview
Action codesfieldReferencestringMax length: 100Reference to field that caused an error -
-
-
-
Request Example
{
"bankAccount": "DE75512108001245126199"
}
Response Example
{
"isValid": true
}